This endpoint allows you to query the status and consolidated summary of a previously created transaction batch ("payout") based on its ID, including how many transactions were completed successfully, are pending, or resulted in an error. In case of success, the request will return a response with status 200.
GET
REQUIRED
REQUIRED
id field of the response to POST /v1/payouts.object containing payout settings, such as the URL that receives transaction status notifications.400Bad request. The parameters sent are not valid.
invalid_payout_id
Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields.
invalid_transaction_id
Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields.
invalid_signature
Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted.
idempotency_key_required
Invalid data was sent in the request body. The idempotency key (idempotency_key) is missing. Try sending the request again, validating all fields.
invalid_account
The `account` object was sent without the data required to identify the destination account. Provide `email` for a Mercado Pago account or the required bank details for an external account, including `number` and `bank_id`. For a Pix transfer, set `transactions.type` to `pix` and send the key details in `transactions.pix` instead of `account`.
invalid_account_type
The account_type field was sent with an unsupported value. Accepted values are checking_account or savings.
401Error. Access Token not authorized.
invalid_token
The value sent as Access Token is incorrect. Please check and try again with the correct value.
403Forbidden. You don't have permissions to access this resource.
forbidden
No permission to access the resource.
404Error. Payout not found.
not_found
Payout not found. Please check if you provided the correct payout ID.
500Internal server error.
internal_server_error
An unexpected error occurred on the server. Try the request again.
502Bad gateway. Integration failure with an external service.
bad_gateway
An error occurred in the integration with an external service. Try the request again.
curl -X GET \
'https://api.mercadopago.com/v1/payouts/{payout_id}'\
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
{
"id": "POP01KV681P6SJ38NQHWX3XK162SS",
"status": "completed",
"external_reference": "MP0197",
"config": {
"notification_url": "https://link-your-webhook-notification.com"
},
"summary": {
"pending": {
"items": 0
},
"canceled": {
"items": 0
},
"success": {
"items": 0
},
"error": {
"items": 2
}
}
}